Bug 1032 - network connection lost if ethernet switch reboots
network connection lost if ethernet switch reboots
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: netkit-base (Show other bugs)
5.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-02-02 22:39 EST by simon.greaves
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-02-05 20:18:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description simon.greaves 1999-02-02 22:39:21 EST
PC is connected via UTP to an central ethernet switch. If
the switch is rebooted the PC can no longer use the network,
any attempts block/timeout.

Win32 clients on the same switch do not see the same
problem, once the switch is up they may continue - ie the
previous connections are restored.

I've tried restarting the network using
'/etc/rc.d/init.d/network' but this doesn't help, so far the
only fix I've found is a reboot.

The PC has a static IP address and a static route, ethernet
card is a Digital PCI card with a tulip chipset (same as the
Win32 boxes), config is pretty vanilla I think.
Comment 1 David Lawrence 1999-02-05 20:18:59 EST
We have a switch located in our test lab and I was unable to cause
this to occur, I am just guessing but it could possibly be hardware
related and would suggest trying a different card.
Comment 2 Anonymous 1999-02-07 17:18:59 EST
Thanks for the comment. FYI all client PC's have the same make/model
ethernet card, and the one in the Linux box has been swapped for a new
one just in case. Don't think I get the problem if the same PC runs
win95 when the switch reboots. Also, I never saw this problem with
some 'simple' ethernet switches, so it could be specific to the
Digital switch firmware too. Will maybe raise this with ethernet code
author.

Thanks again,

Simon

Note You need to log in before you can comment on or make changes to this bug.